function nMat = import_nodes_from_k_file(k_file_to_read)
% Loops through a .K file. Identifies the *NODE keyword and collects
% the nodal ID and x,y,z in a matrix for further processing.
%
% INPUTS:   k_file_to_read    - String, name of file to create.
%
% OUTPUTS:  nMat              - [n x 4] matrix with nodal data.
%
% created by: ABR
% date : 2024-04-18


fileID = fopen(k_file_to_read);
tline = fgetl(fileID);
write_row = 0;
true_flag = false;
nMat = [];

while ischar(tline)
  tline = fgetl(fileID);
  if length(tline) == 5
    if strcmp(tline(1:5),'*NODE')
      true_flag = 1;
      while length(tline) > 55 || true_flag
        true_flag = 0;
        tline = fgetl(fileID);

        if tline(1) ~= '$' && tline(1) ~= '*'
          write_row = write_row + 1;
          nMat(write_row, 1) = str2double(tline(1:8));   % Node index
          nMat(write_row, 2) = str2double(tline(9:24));  % X
          nMat(write_row, 3) = str2double(tline(25:40)); % Y
          nMat(write_row, 4) = str2double(tline(41:56)); % Z

         elseif length(tline) == 5 && strcmp(tline(1:5),'*NODE')
          true_flag = 1;
        end
      end
    end
  end
end
fclose(fileID);
