<a name="readme-top"></a>


<!-- PROJECT LOGO -->
<br />
<div align="left">
  <a href="https://gitlab.com/piper-project.org/preemie">
    <img src="images/image_title.png" alt="Logo" width="80" height="80">
  </a>



<!-- TABLE OF CONTENTS -->
<details>
  <summary>Table of Contents</summary>
  <ol>
    <li><a href="#about-the-project">About The Project</a></li>
    <li><a href="#prerequisites">Prerequisites</a></li>
    <li><a href="#installation">Installation</a></li>
    <li><a href="#roadmap">Roadmap</a></li>
    <li><a href="#contributing">Contributing</a></li>
    <li><a href="#license">License</a></li>
    <li><a href="#contact">Contact</a></li>
    <li><a href="#publications">Publications</a></li>
    <li><a href="#acknowledgments">Acknowledgments</a></li>
  </ol>
</details>



<!-- ABOUT THE PROJECT -->
## About The Project
The aim of this project was to take the first step toward creation of infant HBMs by developing CAD surface descriptions representing the bodies of small infants (below 50 cm in stature), hereafter refered to as preemies. The preemie body shapes are intended for use by, for example, child car seat manufacturers to evaluate harness fit early in the production process.

This repository contains preemie body shapes representing the 5<sup>th</sup>, 50<sup>th</sup> and 95<sup>th</sup> percentiles. These body shapes were generated with an Octave script using Kringing and the PIPER tool, also included in this repository. The body shape files contain additional "unreferenced nodes" in the approximate center of rotations of the hip, knee, shoulder and elbow that can be used to enable repositioning for child seats with different back angles.

The repository includes a preemie body shape of the 5<sup>th</sup> percentile with joints in the hips, knees, shoulders, and elbows, including instructions for repositioning using the CAD software Creo.

[![Product Name Screen Shot][product-screenshot]](https://example.com)


<p align="right">(<a href="#readme-top">back to top</a>)</p>


### Prerequisites

* Octave 7.1.0 (https://octave.org/download)
* PIPER 1.1.0 (http://piper-project.org/downloads)
* LSPREPOST 4.7.7 (https://ftp.lstc.com/anonymous/outgoing/lsprepost/)

-- For CAD preemie body shape --
* PTC Creo 2.0 or later (https://www.ptc.com/en/products/creo)


### Installation

1. Clone the repo
   ```sh
   git clone https://gitlab.com/piper-project.org/preemie.git
   ```

2. Fill out the file path section of main_generator_v1.m

<p align="right">(<a href="#readme-top">back to top</a>)</p>



<!-- ROADMAP -->
## Roadmap
See the [open issues](https://gitlab.com/piper-project.org/preemie/-/issues) for a full list of proposed features (and known issues).

<p align="right">(<a href="#readme-top">back to top</a>)</p>



<!-- CONTRIBUTING -->
## Contributing

Any contributions you make are **greatly appreciated**.

If you have a suggestion that would make this better, please fork the repo and create a pull request. You can also simply open an issue with the tag "enhancement".

<p align="right">(<a href="#readme-top">back to top</a>)</p>



<!-- LICENSE -->
## License

The Preemie Body Shapes are released under the GNU General Public License GPL v3
with additional liability and open science clauses.

See `LICENSE.md` for more information.

<p align="right">(<a href="#readme-top">back to top</a>)</p>



<!-- CONTACT -->
## Contact
Karin Brolin - karin.brolin@lightness.eu

Victor Alvarez - victor.s.alvarez@lightness.eu

August Brandberg - august.brandberg@lightness.eu

Project Link: [https://github.com/github_username/repo_name](https://gitlab.com/piper-project.org/preemie/)

<p align="right">(<a href="#readme-top">back to top</a>)</p>


<!-- PUCLICATIONS -->
## Publications
For more details about the deveopment of these Body Shapes see the following publications:

Brolin K, Brooks S, Alvarez V, Chen S, Zimmer P, Brandberg A, Huber-Dangl F, Li X, Kleiven S, Visvikis C, "Preemies: Anthropometry and Body Shape Models", Proceedings of the IRCOBI Conference, Sept. 11-13, 2024, Stockholm, Sweden.

Brolin K, Brooks S, Alvarez V, Chen S, Zimmer P, Brandberg A, Li X, Visvikis C, “Preemies: Anthropometry and Body Shape Models”, the 10th Human Modeling and Simulation in Automotive Engineering, Marburg, Germany,  November 13-14, 2024.

<p align="right">(<a href="#readme-top">back to top</a>)</p>

<!-- ACKNOWLEDGMENTS -->
## Acknowledgments

* This project was funded by Skyltfonden, the Swedish Road Transport Administration (TRV2023-103118).
* We would like to thank the UK National Health Service (NHS) Neonatal Networks for collecting and sharing the anthropometry data.
* The project was carried out in close collaboration with CYBEX GmbH.
* The baseline body shape was provided by KTH, Royal Institute of Technology. It was morphed from the PIPER Child model using medical imaging of a 2-month-old baby from the New Mexico Decedent Image Database (https://nmdid.unm.edu/).
* All views, conclusions and methods presented here are the authors and do not necessarily present the views of the Swedish Road Transport Administration nor the NHS Neonatal Networks.

<p align="right">(<a href="#readme-top">back to top</a>)</p>



<!-- MARKDOWN LINKS & IMAGES -->
[license-shield]: https://img.shields.io/github/license/github_username/repo_name.svg?style=for-the-badge
[license-url]: https://github.com/github_username/repo_name/blob/master/LICENSE.txt
[product-screenshot]: images/image_title.png
